package com.bonus.boot.manager.manager.service;

import com.bonus.boot.manager.basic.entity.MapBean;

import java.util.List;

public interface UtilService {

    /**
     * 判断某个数据是否存在
     * 需要传入的值:
     *  tableName:  表名
     *  filed: 字段名
     *  filedValue: 字段值
     * id : 数据库表的id   可加可不加
     * @return 0 表示不存在  1表示存在   sql限制了查询到一条即返回
     */
    int determineIfExists(String tableName,String filedId,String filedValue,String id);

    /**
     * 获取医院下拉框 可根据传入mapBean value值进行模糊查询，不传默认查询全部
     * @param bean
     * @return
     */
    List<MapBean> getHospitalSelect(MapBean bean);

    List<MapBean> getPackageType();

    List<MapBean> getPersonType();

    List<MapBean> getSpecialPost();

    List<MapBean> getRole();

    /**
     * 获取套餐下拉框 可根据传入mapBean keyword和type值进行查询，不传默认查询全部
     * @param bean
     * @return
     */
    List<MapBean> getSetMeal(MapBean bean);

    List<MapBean> getHazard();

    List<MapBean> getExaminationHospital();

    List<MapBean> getNewHospitalSelect(MapBean o);
}
